local bagger_frame = CreateFrame("Frame", "BaggerFrame")

local events_bankbags = {
	["BANKFRAME_OPENED"] = true,
}
local events_guildbags = {
	["GUILDBANKFRAME_OPENED"] = true,
}
local events_voidbags = {
	["VOID_STORAGE_OPEN"] = true,
}
local events_ahbags = {
	["AUCTION_HOUSE_SHOW"] = true,
}
local events_tradebags = {
	["TRADE_SHOW"] = true,
}
local events_obliterbags = {
	["OBLITERUM_FORGE_SHOW"] = true,
}
local events_upgradebags = {
	["ITEM_UPGRADE_MASTER_OPENED"] = true,
}
local events_scrapbags = {
	["SCRAPPING_MACHINE_SHOW"] = true,
}
local events_runebags = {
	["RUNEFORGE_LEGENDARY_CRAFTING_OPENED"] = true,
}
local events_closebags = {
	["BANKFRAME_CLOSED"] = true,
	["GUILDBANKFRAME_CLOSED"] = true,
	["VOID_STORAGE_CLOSE"] = true,
	["AUCTION_HOUSE_CLOSED"] = true,
	["TRADE_CLOSED"] = true,
	["OBLITERUM_FORGE_CLOSE"] = true,
	["ITEM_UPGRADE_MASTER_CLOSED"] = true,
	["SCRAPPING_MACHINE_CLOSE"] = true,
	["RUNEFORGE_LEGENDARY_CRAFTING_CLOSED"] = true,
}

for event in pairs(events_bankbags) do
	bagger_frame:RegisterEvent(event)
end

for event in pairs(events_guildbags) do
	bagger_frame:RegisterEvent(event)
end

for event in pairs(events_voidbags) do
	bagger_frame:RegisterEvent(event)
end

for event in pairs(events_ahbags) do
	bagger_frame:RegisterEvent(event)
end

for event in pairs(events_tradebags) do
	bagger_frame:RegisterEvent(event)
end

for event in pairs(events_obliterbags) do
	bagger_frame:RegisterEvent(event)
end

for event in pairs(events_upgradebags) do
	bagger_frame:RegisterEvent(event)
end

for event in pairs(events_scrapbags) do
	bagger_frame:RegisterEvent(event)
end

for event in pairs(events_runebags) do
	bagger_frame:RegisterEvent(event)
end

for event in pairs(events_closebags) do
	bagger_frame:RegisterEvent(event)
end

bagger_frame:SetScript("OnEvent", function(self, event)
	if events_bankbags[event] then
		ToggleAllBags()
	end
	if events_guildbags[event] then
		OpenAllBags()
	end
	if events_voidbags[event] then
		OpenAllBags()
	end
	if events_ahbags[event] then
		OpenAllBags()
	end
	if events_tradebags[event] then
		OpenAllBags()
	end
	if events_obliterbags[event] then
		OpenAllBags()
	end
	if events_upgradebags[event] then
		OpenAllBags()
	end
	if events_scrapbags[event] then
		OpenAllBags()
	end
	if events_runebags[event] then
		OpenAllBags()
	end
	if events_closebags[event] then
		ContainerFrame1.backpackWasOpen = nil
		CloseAllBags()
	end
end)
